"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUserOrgs = getUserOrgs;

var _lodash = _interopRequireDefault(require("lodash"));

var _client = require("./client");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getUserOrgs() {
  const gh = (0, _client.getClient)();
  const orgs = await gh.orgs.listForAuthenticatedUser();

  const orgNames = _lodash.default.map(orgs.data, 'login');

  return orgNames.sort();
}